Bug 1225138 - rhel-osp-director: Overcloud deployment failed due to missing horizon bits from the overcloud image (when used: rhos-release 7 ) .
Summary: rhel-osp-director: Overcloud deployment failed due to missing horizon bits fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ga
: Director
Assignee: James Slagle
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 16:36 UTC by Omri Hochman
Modified: 2015-08-05 13:51 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-puppet-elements-0.0.1.dev55-2.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:51:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Omri Hochman 2015-05-26 16:36:09 UTC
rhel-osp-director: Overcloud deployment failed due to missing horizon bits from the overcloud image. 


Environment:
-------------
tripleo-common-0.0.1-dev3.el7.centos.noarch
openstack-tripleo-heat-templates-0.8.6-dev15.el7.centos.noarch
openstack-tripleo-puppet-elements-0.0.1.dev55-1.el7ost.noarch
openstack-tripleo-image-elements-0.9.5-post1.el7.centos.noarch
openstack-tripleo-0.0.6-dev1717.el7.centos.noarch
openstack-puppet-modules-2015.1.2-1.el7.noarch
puppet-3.6.2-3.el7.noarch
openstack-tripleo-puppet-elements-0.0.1.dev55-1.el7ost.noarch


from /home/stack
-rw-r--r--.  1 stack stack 922679808 May 22 16:06 overcloud-full.qcow2
-rwxr-xr-x.  1 stack stack   5026624 May 22 16:04 overcloud-full.vmlinuz
-rw-rw-r--.  1 stack stack 425956864 May 22 15:38 rhel-guest-image-7.1-20150224.0.x86_64.qcow2


[stack@instack ~]$ file overcloud-full.qcow2
overcloud-full.qcow2: QEMU QCOW Image (v3), 4149870592 bytes

Steps: 
------
(1) follow the steps from the Guide : https://repos.fedorapeople.org/repos/openstack-m/docs/internal/master/
(2) Use :
rhos-release -d 7-director
rhos-release 7

Results: 
----------
(1)  Fail execution the following command on the controller: 
Failed to call refresh: Could not find command '/usr/share/openstack-dashboard/manage.py'


(2) resource_status_reason | ResourceUnknownStatus: Resource failed - Unknown status FAILED due to "Resource CREATE failed: ResourceUnknownStatus: Resource failed - Unknown status FAILED due to "Resource CREATE failed: Error: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code




journalctl -u os-collect-config:
--------------------------------
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Wrapped exception:
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: No such file or directory - /etc/openstack-dashboard/local_settings20150521-25247-1c02yee
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: /Stage[main]/Horizon/Concat[/etc/openstack-dashboard/local_settings]/File[/etc/openstack-dashboard/local_settings]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/openstack-dashboard/local_settings20150521-25247-1c02yee at 189:/etc/puppet/modules/concat/manifests/init.pp
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Horizon/Exec[refresh_horizon_django_cache]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: /Stage[main]/Horizon/Exec[refresh_horizon_django_cache]: Failed to call refresh: Could not find command '/usr/share/openstack-dashboard/manage.py'
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: /Stage[main]/Horizon/Exec[refresh_horizon_django_cache]: Could not find command '/usr/share/openstack-dashboard/manage.py'
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Deflate/Apache::Mod[deflate]/File[deflate.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Autoindex/Apache::Mod[autoindex]/File[autoindex.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Default_mods/Apache::Mod[authn_anon]/File[authn_anon.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Autoindex/File[autoindex.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Cache/Apache::Mod[cache]/File[cache.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: Could not set 'file' on ensure: No such file or directory - /etc/httpd/conf/ports.conf20150521-25247-b9jhsn at 189:/etc/puppet/modules/concat/manifests/init.pp
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: Could not set 'file' on ensure: No such file or directory - /etc/httpd/conf/ports.conf20150521-25247-b9jhsn at 189:/etc/puppet/modules/concat/manifests/init.pp
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Wrapped exception:
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: No such file or directory - /etc/httpd/conf/ports.conf20150521-25247-b9jhsn
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Error: /Stage[main]/Apache/Concat[/etc/httpd/conf/ports.conf]/File[/etc/httpd/conf/ports.conf]/ensure: change from absent to file failed: Could not set 'file' on ensure: No such file or directory - /etc/httpd/conf/ports.conf20150521-25247-b9jhsn at 189:/etc/puppet/modules/concat/manifests/init.pp
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Rewrite/Apache::Mod[rewrite]/File[rewrite.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Default_mods/Apache::Mod[authz_host]/File[authz_host.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Filter/Apache::Mod[filter]/File[filter.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Mime_magic/File[mime_magic.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Mime_magic/Apache::Mod[mime_magic]/File[mime_magic.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Dav_fs/File[dav_fs.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Mod::Cgi/Apache::Mod[cgi]/File[cgi.load]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache/File[/etc/httpd/conf.d]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache/Apache::Vhost[default]/Concat[15-default.conf]/File[15-default.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Horizon::Wsgi::Apache/Apache::Vhost[horizon_vhost]/Concat[15-horizon_vhost.conf]/File[15-horizon_vhost.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Horizon::Wsgi::Apache/File[/etc/httpd/conf.d/openstack-dashboard.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache/Apache::Vhost[default-ssl]/Concat[15-default-ssl.conf]/File[/etc/httpd/conf.d/15-default-ssl.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Horizon::Wsgi::Apache/Apache::Vhost[horizon_ssl_vhost]/Concat[15-horizon_ssl_vhost.conf]/File[/etc/httpd/conf.d/15-horizon_ssl_vhost.conf]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: Warning: /Stage[main]/Apache::Service/Service[httpd]: Skipping because of failed dependencies
May 21 12:32:25 ov-6vlsnltqhpo-0-f6fi4jsdt4xu-controller-3qtmkah73bii.novalocal os-collect-config[2443]: [2015-05-21 12:32:24,588] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-puppet/05c49d6f-4189-42dd-8f72-cabf496493a4.pp. [6]




stack@instack ~]$  heat stack-list
+--------------------------------------+------------+---------------+----------------------+
| id                                   | stack_name | stack_status  | creation_time        |
+--------------------------------------+------------+---------------+----------------------+
| a5b565ad-b46e-46bc-92d1-34aa76bd4899 | overcloud 2015-05-21.090923-0400EDT.html | CREATE_FAILED | 2015-05-21T16:14:31Z |
+--------------------------------------+------------+---------------+----------------------+
[stack@instack ~]$ heat resource-list overcloud
+-----------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+
| resource_name                     | physical_resource_id                          | resource_type                                     | resource_status | updated_time         |
+-----------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+
| BlockStorageAllNodesDeployment    | 4b89c020-72ef-4013-980d-17e1529f2bc1          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| BlockStorageNodesPostDeployment   |                                               | OS::TripleO::BlockStoragePostDeployment           | INIT_COMPLETE   | 2015-05-21T16:14:31Z |
| Ceph-Storage                      | 53e2c1e0-7300-4d3c-a841-5a19636f187c          | OS::Heat::ResourceGroup                           | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| CephClusterConfig                 | 6267981d-6169-4b4b-ab37-326e3e73e56a          | OS::TripleO::CephClusterConfig::SoftwareConfig    | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| CephStorageAllNodesDeployment     | d2dd6c7d-dcf3-4f12-8784-d6f5330ba7cd          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| CephStorageCephDeployment         | e7d70b26-3ca6-4b42-971c-ff9dc4838333          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| CephStorageNodesPostDeployment    |                                               | OS::TripleO::CephStoragePostDeployment            | INIT_COMPLETE   | 2015-05-21T16:14:31Z |
| Cinder-Storage                    | a791f036-d26c-4c01-b4db-d380778e5026          | OS::Heat::ResourceGroup                           | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| Compute                           | 98e65619-30d3-4aea-8ba2-28494e98288e          | OS::Heat::ResourceGroup                           | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ComputeAllNodesDeployment         | b30f532e-9c0a-477f-b891-ac9010e6ca31          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ComputeCephDeployment             | 9da14288-37d2-4c44-8ee6-e87c5e579eff          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ComputeNodesPostDeployment        | aea8f364-1c58-4765-b228-fea2dde71ffc          | OS::TripleO::ComputePostDeployment                | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControlVirtualIP                  | cc03d157-8280-43a8-a728-2d97fc306e98          | OS::Neutron::Port                                 | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| Controller                        | 63056557-088b-4571-8cd8-9b329fcc3222          | OS::Heat::ResourceGroup                           | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerAllNodesDeployment      | 77eafce4-e329-42c1-9a66-51835b1fef8f          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerBootstrapNodeConfig     | 4607f2b7-2452-4824-8f32-396d8e7cc2ed          | OS::TripleO::BootstrapNode::SoftwareConfig        | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerBootstrapNodeDeployment | 3387e248-908c-41b0-890d-2af5dd263690          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerCephDeployment          | 87a3340d-0992-48e6-b2d5-e4175bfdcd76          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerClusterConfig           | 6b8d828d-3807-434d-9561-d511254a0d9f          | OS::Heat::StructuredConfig                        | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerClusterDeployment       | 685b303a-f1ba-4900-b928-64ba9ef882b1          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ControllerNodesPostDeployment     | b0711288-9594-42ac-b34f-4b6a2baa3e87          | OS::TripleO::ControllerPostDeployment             | CREATE_FAILED   | 2015-05-21T16:14:31Z |
| ControllerSwiftDeployment         | 7afa0577-a473-4043-aa21-82baeb71ec68          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| HeatAuthEncryptionKey             | overcloud-HeatAuthEncryptionKey-wfncljgcotd2  | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| HorizonSecret                     | overcloud-HorizonSecret-sbmbxleisrsk          | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| MysqlClusterUniquePart            | overcloud-MysqlClusterUniquePart-4boei4yrdccq | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| MysqlRootPassword                 | overcloud-MysqlRootPassword-645dxfjvu7cf      | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ObjectStorageAllNodesDeployment   | 95a6f6b3-2e1b-4339-be50-a3aec5f9d014          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ObjectStorageNodesPostDeployment  | c6898dca-ac99-4d47-8ece-09fd9e2454dc          | OS::TripleO::ObjectStoragePostDeployment          | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| ObjectStorageSwiftDeployment      | 9de8b024-e7c7-4b50-ada5-ec9c8f0ba52d          | OS::Heat::StructuredDeployments                   | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| PcsdPassword                      | overcloud-PcsdPassword-x27dvvl2urk7           | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| PublicVirtualIP                   | a3389c9e-5470-43e8-8605-ca851e61e1df          | OS::Neutron::Port                                 | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| RabbitCookie                      | overcloud-RabbitCookie-ksed77jc6pm7           | OS::Heat::RandomString                            | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| Swift-Storage                     | ba6fcda7-1ef3-4a6f-9476-53a73b647229          | OS::Heat::ResourceGroup                           | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| SwiftDevicesAndProxyConfig        | d3a96d08-1cdf-4f9a-b5a8-d6818c6e7939          | OS::TripleO::SwiftDevicesAndProxy::SoftwareConfig | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
| allNodesConfig                    | 1ce05cb3-5619-4d20-907d-3dacdd82b0f4          | OS::TripleO::AllNodes::SoftwareConfig             | CREATE_COMPLETE | 2015-05-21T16:14:31Z |
+-----------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+
[stack@instack ~]$  heat resource-show overcloud ControllerNodesPostDeployment
+------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| Property               | Value                                                                                                                                                                                                                                                                                                   |
+------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| attributes             | {}                                                                                                                                                                                                                                                                                                      |
| description            |                                                                                                                                                                                                                                                                                                         |
| links                  | http://192.0.2.1:8004/v1/373587bb16fc44a1b815ef65855e252b/stacks/overcloud/a5b565ad-b46e-46bc-92d1-34aa76bd4899/resources/ControllerNodesPostDeployment (self)                                                                                                                                          |
|                        | http://192.0.2.1:8004/v1/373587bb16fc44a1b815ef65855e252b/stacks/overcloud/a5b565ad-b46e-46bc-92d1-34aa76bd4899 (stack)                                                                                                                                                                                 |
|                        | http://192.0.2.1:8004/v1/373587bb16fc44a1b815ef65855e252b/stacks/overcloud-ControllerNodesPostDeployment-ldhmptrxmakn/b0711288-9594-42ac-b34f-4b6a2baa3e87 (nested)                                                                                                                                     |
| logical_resource_id    | ControllerNodesPostDeployment                                                                                                                                                                                                                                                                           |
| physical_resource_id   | b0711288-9594-42ac-b34f-4b6a2baa3e87                                                                                                                                                                                                                                                                    |
| required_by            | BlockStorageNodesPostDeployment                                                                                                                                                                                                                                                                         |
|                        | CephStorageNodesPostDeployment                                                                                                                                                                                                                                                                          |
| resource_name          | ControllerNodesPostDeployment                                                                                                                                                                                                                                                                           |
| resource_status        | CREATE_FAILED                                                                                                                                                                                                                                                                                           |
| resource_status_reason | ResourceUnknownStatus: Resource failed - Unknown status FAILED due to "Resource CREATE failed: ResourceUnknownStatus: Resource failed - Unknown status FAILED due to "Resource CREATE failed: Error: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 6"" |
| resource_type          | OS::TripleO::ControllerPostDeployment                                                                                                                                                                                                                                                                   |
| updated_time           | 2015-05-21T16:14:31Z                                                                                                                                                                                                                                                                                    |
+------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+

Comment 3 Omri Hochman 2015-05-26 16:42:23 UTC
AFAIK it doesn't happen when using: rhos-release 6

Comment 4 Leonid Natapov 2015-05-31 13:38:34 UTC
Reproduced on my BM env too.

Comment 5 chris alfonso 2015-06-01 12:48:25 UTC
Does this work with the prebuilt images?

Comment 7 Omri Hochman 2015-06-22 15:51:09 UTC
Verified with : 
python-rdomanager-oscplugin-0.0.8-1.el7ost.noarch
python-tuskarclient-0.1.17-3.el7ost.noarch
openstack-tuskar-0.4.18-2.el7ost.noarch
openstack-tuskar-ui-extras-0.0.4-1.el7ost.noarch
openstack-tuskar-ui-0.3.0-2.el7ost.noarch
openstack-heat-templates-0-0.6.20150605git.el7ost.noarch
openstack-heat-api-2015.1.0-3.el7ost.noarch
heat-cfntools-1.2.8-2.el7.noarch
openstack-heat-common-2015.1.0-3.el7ost.noarch
python-heatclient-0.6.0-1.el7ost.noarch
openstack-heat-api-cloudwatch-2015.1.0-3.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-9.el7ost.noarch


It works when using the instruction  : 

sudo rpm -ivh http://rhos-release.virt.bos.redhat.com/repos/rhos-release/rhos-release-latest.noarch.rpm

# Enable either poodles or puddles:
# To enable poodles:
sudo rhos-release 7-director -d
# To enable puddles:
sudo rhos-release 7-director


# We need openwsman-python from the optional repo
sudo yum install -y yum-utils
sudo yum-config-manager --enable rhelosp-rhel-7-server-opt

Comment 9 errata-xmlrpc 2015-08-05 13:51:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.